Bug 248107 - Monodevelop crashs on startup complaing about missing gtkhtml-sharp
Monodevelop crashs on startup complaing about missing gtkhtml-sharp
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On: 247831
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 06:13 EDT by Florian Sievert
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 12:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console output, when starting monodevelop (3.47 KB, application/octet-stream)
2007-07-13 06:13 EDT, Florian Sievert
no flags Details

  None (edit)
Description Florian Sievert 2007-07-13 06:13:55 EDT
Description of problem:
Installing monodevelop via "yum install monodevelop" and try running it, results
in a crash of monodevelop complaining about a missing gtkhtml-sharp assembly. If
it is really missing, it should be installed as requirements of monodevelop in
order to allow new users to easily install monodevelop.

Version-Release number of selected component (if applicable):
monodevelop-0.13.1-1.fc7
mono-core-1.2.3-3.fc7
gtk-sharp2-2.10.0-4.fc7

How reproducible:
Always

Steps to Reproduce:
1. install monodevelop package via yum. (mono will be installed as requirements)
2. Run monodevelop
  
Actual results:
Starting monodevelop result in a crashing application complaing about a missing
gtkhtml-sharp assembly. Crash log is attached.

Expected results:
Monodevelop is starting.

Additional info:
I am normally not a user of monodevelop, but somebody else pointed me to this
problem and I was able to reproduce it on my system. Looking to the forums it
seems like some people was able to get this version of monodevelop running, so
the problem might be introduced in the near past. The system is a normally used
desktop system, that did not used mono before. The other user said it was
reproducable on a fresh installation also.

Updating mono to the new version 1.2.4 from the development repository does not
seems to fix the problem. Further information will be provided if asked.
Comment 1 Florian Sievert 2007-07-13 06:13:55 EDT
Created attachment 159145 [details]
Console output, when starting monodevelop
Comment 2 Miao ZhiCheng 2007-07-18 05:22:15 EDT
I also encountered this problem :
$ monodevelop 

** (./MonoDevelop.exe:18527): WARNING **: The following assembly referenced from
/usr/lib/monodevelop/AddIns/MonoDevelop.Ide.dll could not be loaded:
     Assembly:   gtkhtml-sharp    (assemblyref_index=19)
     Version:    2.16.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/monodevelop/bin/../AddIns).


** (./MonoDevelop.exe:18527): WARNING **: Could not load file or assembly
'gtkhtml-sharp, Version=2.16.0.0, Culture=neutral,
PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
2007-07-18 17:20:39,386 [1122096] ERROR MonoDevelop.Core.ILoggingService
[(null)] - Add-in failed to load: MonoDevelop.Ide
2007-07-18 17:20:39,438 [1122096] ERROR MonoDevelop.Core.ILoggingService
[(null)] - System.Reflection.ReflectionTypeLoadException: The classes in the
module cannot be loaded.
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) System.Reflection.Assembly:GetTypes (bool)
  at System.Reflection.Assembly.GetTypes () [0x00000] 
  at MonoDevelop.Core.AddIns.DefaultAddInTree.LoadCodonsAndConditions
(System.Reflection.Assembly assembly) [0x00000] 
  at MonoDevelop.Core.AddIns.DefaultAddInTree.LoadAssembly (System.String
fileName) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.AddRuntimeLibraries (System.String path,
System.Xml.XmlElement el) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.ReadXmlContents (System.String fileName,
System.Xml.XmlElement elem) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.Initialize (System.String fileName) [0x00000] 
  at MonoDevelop.Core.AddIns.AddInTreeSingleton.InsertAddIn (System.String
addInFile) [0x00000] 
2007-07-18 17:20:39,484 [1122096] ERROR MonoDevelop.Core.ILoggingService
[(null)] - Add-in failed to load: MonoDevelop.VersionControl
2007-07-18 17:20:39,488 [1122096] ERROR MonoDevelop.Core.ILoggingService
[(null)] - MonoDevelop.Core.AddIns.MissingDependencyException: Required add-in
not found: MonoDevelop.Ide
  at MonoDevelop.Core.AddIns.AddIn.CheckDependencies (System.Xml.XmlElement
deps, Boolean rootDependencies) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.Initialize (System.String fileName) [0x00000] 
  at MonoDevelop.Core.AddIns.AddInTreeSingleton.InsertAddIn (System.String
addInFile) [0x00000] 
2007-07-18 17:20:39,551 [1122096] ERROR MonoDevelop.Core.ILoggingService
[(null)] - Add-in failed to load: MonoDevelop.Ide
2007-07-18 17:20:39,556 [1122096] ERROR MonoDevelop.Core.ILoggingService
[(null)] - MonoDevelop.Core.AddIns.CodonNotFoundException: no codon builder
found for <DisplayBinding>
  at MonoDevelop.Core.AddIns.CodonFactory.CreateCodon
(MonoDevelop.Core.AddIns.AddIn addIn, System.Xml.XmlNode codonNode) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.AddCodonsToExtension
(MonoDevelop.Core.AddIns.Extension e, System.Xml.XmlElement el,
MonoDevelop.Core.AddIns.ConditionCollection conditions) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.AddExtensions (System.Xml.XmlElement el)
[0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.ReadXmlContents (System.String fileName,
System.Xml.XmlElement elem) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.Initialize (System.String fileName) [0x00000] 
  at MonoDevelop.Core.AddIns.AddInTreeSingleton.InsertAddIn (System.String
addInFile) [0x00000] 
System.NullReferenceException: Object reference not set to an instance of an object
  at MonoDevelop.Core.AddIns.AddInService.StartApplication (System.String
addinId, System.String[] parameters) [0x00000] 
Comment 3 Eskil Bylund 2007-07-19 06:23:12 EDT
This is fixed in gnome-sharp-2.16.0-3.fc7.

Note You need to log in before you can comment on or make changes to this bug.